# GPS LED & Buzzer Meaning

### RGB UI LED&#x20;

The meaning of the big RGB UI LED depends on the Firmware you use. The definition can be found here:

* [Ardupilot RGB LED Meaning](https://ardupilot.org/copter/docs/common-leds-pixhawk.html#led-buzzer-meanings)
* [PX4 UI RGB LED Meaning](https://docs.px4.io/main/en/getting_started/led_meanings.html#ui-led)

### Other LEDs (Model Dependent)

{% hint style="info" %}
The availability of these LED depends on the GPS Model
{% endhint %}

* **Fix** **(3D Fix)**&#x20;
  * Off - No 3D Fixed
  * Blink/Solid On - 3D fixed&#x20;
* **RTK (RTK Fix)**&#x20;
  * Off -  Not in RTK mode
  * Blink - Float RTK (Blinking is not available in some model)
  * Solid - Fixed RTK
* **GEO** - Used for geofence settings (set through ucenter). This is an user-defined on and off status light, it can be either on or off when the fence conditions are met.
* **PWR** - Always on when the power is normal.
* **ERR (ERROR)** - Lights up when module self-test fails
* **EVT (EVENT)** - LED is off when no eventin. Short blinks indicate there is an event in&#x20;
* **LOG Button LED -** LED is ON when the SD card is present or mounted.&#x20;

### Buzzer Meaning

* [PX4 Buzzer Meaning](https://docs.px4.io/main/en/getting_started/tunes.html)
* [Ardupilot Buzzer Meaning](https://ardupilot.org/copter/docs/common-buzzer.html)

### Safety Switch (Red LED)&#x20;

{% hint style="info" %}
Safety switch is only available in certain model. The safety switch feature is turned off by default in PX4 and some target in Ardupilot.

In Ardupilot, [BRD\_SAFETY\_DEFLT](https://ardupilot.org/copter/docs/parameters.html#brd-safety-deflt) = 0 to disable the safety switch (`BRD_SAFETYENABLE` in older firmware versions).
{% endhint %}

#### Ardupilot firmware ([Wiki](https://ardupilot.org/copter/docs/common-safety-switch-pixhawk.html#led-meaning))

* Constant blinking - system is initialising
* Intermittent fast blinking - system is ready. press the safety switch to enable output to the motors.
* Solid - safety switch has been pressed, motors and servos are able to move once the vehicle is armed.

#### PX4 ([Guide](https://docs.px4.io/master/en/advanced_config/prearm_arm_disarm.html))

* Slow blinking - system is ready. press the safety switch to enable output to the motors.
* Intermittent fast blinking - safety switch has been pressed, motors and servos are able to move once the vehicle is armed.
* Solid – Vehicle is armed


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.holybro.com/gps-and-rtk-system/gps-led-and-buzzer/gps-led-and-buzzer-meaning.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
